HanMacWrdJTextInternal::Token Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
HanMacWrdJTextInternal::Token Struct Reference

Internal: class to store a token of a HanMacWrdJText. More...

## Public Member Functions
| Token ()
| constructor More...

## Public Attributes
int | m_type
| the token type More...
long | m_id
| the id ( to be send) More...
int | m_localId
| the local id More...
std::string | m_bookmark
| the bookmark string More...
int | m_length
| the token length in caller text More...
std::string | m_extra
| extra string string More...

## Friends
std::ostream & | operator<< (std::ostream &o, Token const &tk)
| operator<< More...

## Detailed Description

Internal: class to store a token of a HanMacWrdJText.

## Constructor & Destructor Documentation

HanMacWrdJTextInternal::Token::Token | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Token const & | tk
| ) |  |
| friend

operator<<

## Member Data Documentation

std::string HanMacWrdJTextInternal::Token::m_bookmark

the bookmark string

Referenced by HanMacWrdJText::sendText().

std::string HanMacWrdJTextInternal::Token::m_extra

extra string string

Referenced by HanMacWrdJText::readTextToken().

long HanMacWrdJTextInternal::Token::m_id

the id ( to be send)

Referenced by HanMacWrdJText::getTokenIdList(), HanMacWrdJText::readTextToken(), and HanMacWrdJText::sendText().

int HanMacWrdJTextInternal::Token::m_length

the token length in caller text

Referenced by HanMacWrdJText::readTextToken().

int HanMacWrdJTextInternal::Token::m_localId

the local id

Referenced by HanMacWrdJText::readTextToken(), and HanMacWrdJText::sendText().

int HanMacWrdJTextInternal::Token::m_type

the token type

Referenced by HanMacWrdJText::canSendTextAsGraphic(), HanMacWrdJText::getTokenIdList(), HanMacWrdJText::readTextToken(), and HanMacWrdJText::sendText().

The documentation for this struct was generated from the following file:

- HanMacWrdJText.cxx